%define soft_name	kde-i18n-ko
%define ver		3.5.5
%define	rel		10AX

%define cleanbuildroot	1
%define DATE  20070807

Name		: %{soft_name}
Version		: %{ver}
Release		: %{rel}

Summary		: Korean language support for KDE 3.5.5
Group		: desktop/kde
License		: GPL
URL		: http://www.kde.org/

#Source0         : %{name}-%{version}-%{DATE}.tar.bz2
Source0         : %{name}-%{version}.tar.bz2
Source1		: asianux-logos.gif

Patch1          : kde-i18n-ko-3.5.5-kicker_start.patch
Patch2		: kde-i18n-ko-3.5.5-logout.patch
Patch3		: kde-i18n-ko-3.5.5-add_select_taskbar_font_color.patch
Patch4 		: kde-i18n-ko-3.5.5-timezone.patch
Patch5		: kde-i18n-ko-3.5.5-20070710.patch
Patch6		: kde-i18n-ko-3.5.5-capslock.patch
Patch7		: kde-i18n-ko-3.5.5-20070731.patch
Patch8		: kde-i18n-ko-3.5.5-20070807.patch
Patch9		: kde-i18n-ko-3.5.5-ko-grammar-bug-fix.patch

Requires	: qt
Requires	: kdelibs
Requires	: kdebase

BuildRequires	: qt-devel >= 3.0.5
BuildRequires	: kdelibs-devel >= %{version}
BuildRequires	: kdebase-devel >= %{version}

BuildRoot	: %{_tmppath}/%{name}-%{version}-root

BuildArch	: noarch


%description
Korean language support for KDE 3.5.5


%prep

%setup -q -n %{name}-%{version}

#disable this patch for that Korean locale using english on start butten.
#%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

%build

aclocal
autoconf

# load QT environment variable
test -f %{_sysconfdir}/profile.d/qt.sh && . %{_sysconfdir}/profile.d/qt.sh

export KDEDIR=%{_prefix}

# we override build dirs lists
# if you want another language, add it below list
cat > subdirs << EOF
ko
EOF

# we have to run autotools
make -f admin/Makefile.common

CFLAGS="$RPM_OPT_FLAGS"; export CFLAGS
CXXFLAGS="$RPM_OPT_FLAGS" ; export CXXFLAGS

./configure  

make  


%install
test "$RPM_BUILD_ROOT" != "/" && rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install-strip
rm -rf $RPM_BUILD_ROOT/usr/share/doc/HTML
rm -rf $RPM_BUILD_ROOT/usr/share/locale/ko/1234
rm -f $RPM_BUILD_ROOT/usr/share/locale/ko/LC_MESSAGES/kppp*

mkdir -p $RPM_BUILD_ROOT/usr/share/apps/kdm/pics/
cp -af %{SOURCE1}  $RPM_BUILD_ROOT/usr/share/apps/kdm/pics/ci00.gif


%clean
%if %{cleanbuildroot}
test "$RPM_BUILD_ROOT" != "/" && rm -rf $RPM_BUILD_ROOT
%endif


%files
%defattr(-,root,root)
%{_datadir}/apps/kdm/pics/ci00.gif
%{_datadir}/locale/ko/charset
%{_datadir}/locale/ko/entry.desktop
%{_datadir}/locale/ko/flag.png
%{_datadir}/locale/ko/LC_MESSAGES/*
#%{_docdir}/HTML/ko

%changelog
* Mon Aug 13 2007 Moon, SungHo <shmoon@haansoft.com> 3.5.5-10AX
- fix grammar bug (patch9, AXBugzilla#3458)

* Tue Aug 07 2007 Nam, Kwonwoo <kwnam@haansoft.com> 3.5.5-9AX
- update kde-i18n-ko for patch8 (#3406)

* Wed Aug 01 2007 Nam, Kwonwoo <kwnam@haansoft.com> 3.5.5-8AX
- update kde-i18n-ko for patch7
- remove kppp*.mo (bugzilla 3317)

* Fri Jul 13 2007 Nam, Kwonwoo <kwnam@haansoft.com> 3.5.5-7AX
- add patch5 for korean translation
- add capslock patch

* Wed Jul 4 2007 Nam, Kwonwoo <kwnam@haansoft.com> 3.5.5-6AX
- add timezone patch

* Mon Jul 2 2007 Moon, SungHo <shmoon@haansoft.com> 3.5.5-5AX
- add select taskbar font color string (patch3, AXBugzilla#3128)

* Fri Jun 29 2007 Nam, Kwonwoo <kwnam@haansoft.com> 3.5.5-4AX
- patch2 for logout screen and Configure vidoeCard

* Fri Mar 30 2007 Moon, SungHo <shmoon@haansoft.com> 3.5.5-3AX
- add Start string (patch1, #09389)
- change file from haansoft-logos.gif to asianux-logos.gif (source1)
- delete vendor, packager, changelog

* Tue Mar 27 2007 Moon, SungHo <shmoon@haansoft.com> 3.5.5-2AX
- change spec file name from kde-i18.spec to kde-i18-ko.spec
- change soft_name from kde-i18 to kde-i18-ko
- change summery from Internationalization support for KDE to Korean language support for KDE 3.5.5
- change group from User Interface/Desktops to desktop/kde
- change source0 name from -ko- to -
- delete package Korean
- delete description Korean
- change directory name from -ko- to - (setup)
- delete Korean name (files)

# vim : set sw=4 ts=8

